import { ActiveExecutions, ICredentialsOverwrite, IProcessMessageDataHook, IWorkflowExecutionDataProcess, Push } from './';
import { IExecutionError, WorkflowExecuteMode, WorkflowHooks } from 'n8n-workflow';
export declare class WorkflowRunner {
    activeExecutions: ActiveExecutions.ActiveExecutions;
    credentialsOverwrites: ICredentialsOverwrite;
    push: Push.Push;
    constructor();
    processHookMessage(workflowHooks: WorkflowHooks, hookData: IProcessMessageDataHook): void;
    processError(error: IExecutionError, startedAt: Date, executionMode: WorkflowExecuteMode, executionId: string): void;
    run(data: IWorkflowExecutionDataProcess, loadStaticData?: boolean): Promise<string>;
    runMainProcess(data: IWorkflowExecutionDataProcess, loadStaticData?: boolean): Promise<string>;
    runSubprocess(data: IWorkflowExecutionDataProcess, loadStaticData?: boolean): Promise<string>;
}
