"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MauticOAuth2Api = void 0;
class MauticOAuth2Api {
    constructor() {
        this.name = 'mauticOAuth2Api';
        this.extends = [
            'oAuth2Api',
        ];
        this.displayName = 'Mautic OAuth2 API';
        this.documentationUrl = 'mautic';
        this.properties = [
            {
                displayName: 'URL',
                name: 'url',
                type: 'string',
                default: '',
                placeholder: 'https://name.mautic.net',
            },
            {
                displayName: 'Authorization URL',
                name: 'authUrl',
                type: 'string',
                default: '',
                placeholder: 'https://name.mautic.net/oauth/v2/authorize',
                required: true,
            },
            {
                displayName: 'Access Token URL',
                name: 'accessTokenUrl',
                type: 'string',
                default: '',
                placeholder: 'https://name.mautic.net/oauth/v2/token',
                required: true,
            },
            {
                displayName: 'Scope',
                name: 'scope',
                type: 'hidden',
                default: '',
            },
            {
                displayName: 'Auth URI Query Parameters',
                name: 'authQueryParameters',
                type: 'hidden',
                default: '',
            },
            {
                displayName: 'Authentication',
                name: 'authentication',
                type: 'hidden',
                default: 'header',
            },
        ];
    }
}
exports.MauticOAuth2Api = MauticOAuth2Api;
//# sourceMappingURL=MauticOAuth2Api.credentials.js.map