"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Example = void 0;
class Example {
    constructor() {
        this.description = {
            displayName: 'Example',
            name: 'example',
            group: ['input'],
            version: 1,
            description: 'Example',
            defaults: {
                name: 'Example',
                color: '#0000FF',
            },
            inputs: ['main'],
            outputs: ['main'],
            properties: [
                {
                    displayName: 'Age',
                    name: 'age',
                    type: 'number',
                    default: 0,
                },
                {
                    displayName: 'Brand Name',
                    name: 'brandName',
                    type: 'string',
                    default: '',
                },
            ],
        };
    }
    execute() {
        const items = this.getInputData();
        if (items.length === 0) {
            items.push({ json: {} });
        }
        const returnData = [];
        let item;
        for (let i = 0; i < items.length; i++) {
            const age = this.getNodeParameter('age', i);
            const brandName = this.getNodeParameter('brandName', i);
            item = items[i];
            const newItem = {
                json: {
                    age: age || item.json.age,
                    brandName: brandName || item.json.brandName,
                },
            };
            returnData.push(newItem);
        }
        return this.prepareOutputData(returnData);
    }
}
exports.Example = Example;
//# sourceMappingURL=Example.node.js.map