"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.invoiceFields = exports.invoiceOperations = void 0;
exports.invoiceOperations = [
    {
        displayName: 'Operation',
        name: 'operation',
        type: 'options',
        displayOptions: {
            show: {
                resource: [
                    'invoice',
                ],
            },
        },
        options: [
            {
                name: 'Create',
                value: 'create',
                description: 'Create a new invoice',
            },
            {
                name: 'Delete',
                value: 'delete',
                description: 'Delete a invoice',
            },
            {
                name: 'Email',
                value: 'email',
                description: 'Email an invoice',
            },
            {
                name: 'Get',
                value: 'get',
                description: 'Get data of a invoice',
            },
            {
                name: 'Get All',
                value: 'getAll',
                description: 'Get data of all invoices',
            },
        ],
        default: 'create',
        description: 'The operation to perform.',
    },
];
exports.invoiceFields = [
    {
        displayName: 'Additional Fields',
        name: 'additionalFields',
        type: 'collection',
        placeholder: 'Add Field',
        default: {},
        displayOptions: {
            show: {
                operation: [
                    'create',
                ],
                resource: [
                    'invoice',
                ],
            },
        },
        options: [
            {
                displayName: 'Client',
                name: 'client',
                type: 'options',
                typeOptions: {
                    loadOptionsMethod: 'getClients',
                },
                default: '',
            },
            {
                displayName: 'Auto Bill',
                name: 'autoBill',
                type: 'boolean',
                default: false,
            },
            {
                displayName: 'Custom Value 1',
                name: 'customValue1',
                type: 'number',
                typeOptions: {
                    minValue: 0,
                },
                default: 0,
            },
            {
                displayName: 'Custom Value 2',
                name: 'customValue2',
                type: 'number',
                typeOptions: {
                    minValue: 0,
                },
                default: 0,
            },
            {
                displayName: 'Discount',
                name: 'discount',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Due Date',
                name: 'dueDate',
                type: 'dateTime',
                default: '',
            },
            {
                displayName: 'Email',
                name: 'email',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Email Invoice',
                name: 'emailInvoice',
                type: 'boolean',
                default: false,
            },
            {
                displayName: 'Invoice Date',
                name: 'invoiceDate',
                type: 'dateTime',
                default: '',
            },
            {
                displayName: 'Invoice Number',
                name: 'invoiceNumber',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Invoice Status',
                name: 'invoiceStatus',
                type: 'options',
                options: [
                    {
                        name: 'Draft',
                        value: 1,
                    },
                    {
                        name: 'Sent',
                        value: 2,
                    },
                ],
                default: 1,
            },
            {
                displayName: 'Is Amount Discount',
                name: 'isAmountDiscount',
                type: 'boolean',
                default: false,
            },
            {
                displayName: 'Paid',
                name: 'paid',
                type: 'number',
                default: 0,
            },
            {
                displayName: 'Partial',
                name: 'partial',
                type: 'number',
                default: 0,
            },
            {
                displayName: 'Partial Due Date',
                name: 'partialDueDate',
                type: 'dateTime',
                default: '',
            },
            {
                displayName: 'PO Number',
                name: 'poNumber',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Private Notes',
                name: 'privateNotes',
                type: 'string',
                typeOptions: {
                    alwaysOpenEditWindow: true,
                },
                default: '',
            },
            {
                displayName: 'Public Notes',
                name: 'publicNotes',
                type: 'string',
                typeOptions: {
                    alwaysOpenEditWindow: true,
                },
                default: '',
            },
            {
                displayName: 'Tax Name 1',
                name: 'taxName1',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Tax Name 2',
                name: 'taxName2',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Tax Rate 1',
                name: 'taxRate1',
                type: 'number',
                default: 0,
            },
            {
                displayName: 'Tax Rate 2',
                name: 'taxRate2',
                type: 'number',
                default: 0,
            },
        ],
    },
    {
        displayName: 'Invoice Items',
        name: 'invoiceItemsUi',
        placeholder: 'Add Invoice Item',
        type: 'fixedCollection',
        typeOptions: {
            multipleValues: true,
        },
        displayOptions: {
            show: {
                resource: [
                    'invoice',
                ],
                operation: [
                    'create',
                ],
            },
        },
        default: {},
        options: [
            {
                name: 'invoiceItemsValues',
                displayName: 'Invoice Item',
                values: [
                    {
                        displayName: 'Cost',
                        name: 'cost',
                        type: 'number',
                        default: 0,
                    },
                    {
                        displayName: 'Description',
                        name: 'description',
                        type: 'string',
                        typeOptions: {
                            alwaysOpenEditWindow: true,
                        },
                        default: '',
                    },
                    {
                        displayName: 'Service',
                        name: 'service',
                        typeOptions: {
                            alwaysOpenEditWindow: true,
                        },
                        type: 'string',
                        default: '',
                    },
                    {
                        displayName: 'Hours',
                        name: 'hours',
                        type: 'number',
                        typeOptions: {
                            minValue: 0,
                        },
                        default: 0,
                    },
                    {
                        displayName: 'Tax Name 1',
                        name: 'taxName1',
                        type: 'string',
                        default: '',
                    },
                    {
                        displayName: 'Tax Name 2',
                        name: 'taxName2',
                        type: 'string',
                        default: '',
                    },
                    {
                        displayName: 'Tax Rate 1',
                        name: 'taxRate1',
                        type: 'number',
                        default: 0,
                    },
                    {
                        displayName: 'Tax Rate 2',
                        name: 'taxRate2',
                        type: 'number',
                        default: 0,
                    },
                ],
            },
        ],
    },
    {
        displayName: 'Invoice ID',
        name: 'invoiceId',
        type: 'string',
        required: true,
        displayOptions: {
            show: {
                resource: [
                    'invoice',
                ],
                operation: [
                    'delete',
                ],
            },
        },
    },
    {
        displayName: 'Invoice ID',
        name: 'invoiceId',
        type: 'string',
        required: true,
        displayOptions: {
            show: {
                resource: [
                    'invoice',
                ],
                operation: [
                    'email',
                ],
            },
        },
    },
    {
        displayName: 'Invoice ID',
        name: 'invoiceId',
        type: 'string',
        required: true,
        displayOptions: {
            show: {
                resource: [
                    'invoice',
                ],
                operation: [
                    'get',
                ],
            },
        },
    },
    {
        displayName: 'Options',
        name: 'options',
        type: 'collection',
        placeholder: 'Add Field',
        default: {},
        displayOptions: {
            show: {
                operation: [
                    'get',
                ],
                resource: [
                    'invoice',
                ],
            },
        },
        options: [
            {
                displayName: 'Include',
                name: 'include',
                type: 'options',
                options: [
                    {
                        name: 'Client',
                        value: 'client',
                    },
                ],
                default: 'client',
            },
        ],
    },
    {
        displayName: 'Return All',
        name: 'returnAll',
        type: 'boolean',
        displayOptions: {
            show: {
                resource: [
                    'invoice',
                ],
                operation: [
                    'getAll',
                ],
            },
        },
        default: false,
        description: 'If all results should be returned or only up to a given limit.',
    },
    {
        displayName: 'Limit',
        name: 'limit',
        type: 'number',
        displayOptions: {
            show: {
                resource: [
                    'invoice',
                ],
                operation: [
                    'getAll',
                ],
                returnAll: [
                    false,
                ],
            },
        },
        typeOptions: {
            minValue: 1,
            maxValue: 60,
        },
        default: 50,
        description: 'How many results to return.',
    },
    {
        displayName: 'Options',
        name: 'options',
        type: 'collection',
        placeholder: 'Add Field',
        default: {},
        displayOptions: {
            show: {
                operation: [
                    'getAll',
                ],
                resource: [
                    'invoice',
                ],
            },
        },
        options: [
            {
                displayName: 'Invoice Number',
                name: 'invoiceNumber',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Include',
                name: 'include',
                type: 'options',
                options: [
                    {
                        name: 'Client',
                        value: 'client',
                    },
                ],
                default: 'client',
            },
        ],
    },
];
//# sourceMappingURL=InvoiceDescription.js.map