"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateJSON = exports.linkedInApiRequest = void 0;
async function linkedInApiRequest(method, endpoint, body = {}, binary, headers) {
    const options = {
        headers: {
            'Accept': 'application/json',
            'X-Restli-Protocol-Version': '2.0.0',
        },
        method,
        body,
        url: binary ? endpoint : `https://api.linkedin.com/v2${endpoint}`,
        json: true,
    };
    if (binary) {
        delete options.json;
        options.encoding = null;
    }
    if (Object.keys(body).length === 0) {
        delete options.body;
    }
    try {
        return await this.helpers.requestOAuth2.call(this, 'linkedInOAuth2Api', options, { tokenType: 'Bearer' });
    }
    catch (error) {
        if (error.respose && error.response.body && error.response.body.detail) {
            throw new Error(`Linkedin Error response [${error.statusCode}]: ${error.response.body.detail}`);
        }
        throw error;
    }
}
exports.linkedInApiRequest = linkedInApiRequest;
function validateJSON(json) {
    let result;
    try {
        result = JSON.parse(json);
    }
    catch (exception) {
        result = '';
    }
    return result;
}
exports.validateJSON = validateJSON;
//# sourceMappingURL=GenericFunctions.js.map