import { IExecuteFunctions, IHookFunctions } from 'n8n-core';
import { IDataObject, ILoadOptionsFunctions } from 'n8n-workflow';
export interface ICustomInterface {
    name: string;
    key: string;
    options?: Array<{
        id: number;
        label: string;
    }>;
}
export interface ICustomProperties {
    [key: string]: ICustomInterface;
}
export declare function pipedriveApiRequest(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions, method: string, endpoint: string, body: IDataObject, query?: IDataObject, formData?: IDataObject, downloadFile?: boolean): Promise<any>;
export declare function pipedriveApiRequestAllItems(this: IHookFunctions | IExecuteFunctions, method: string, endpoint: string, body: IDataObject, query?: IDataObject): Promise<any>;
export declare function pipedriveGetCustomProperties(this: IHookFunctions | IExecuteFunctions, resource: string): Promise<ICustomProperties>;
export declare function pipedriveEncodeCustomProperties(customProperties: ICustomProperties, item: IDataObject): void;
export declare function pipedriveResolveCustomProperties(customProperties: ICustomProperties, item: IDataObject): void;
