"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sms77ApiRequest = void 0;
async function sms77ApiRequest(method, endpoint, form, qs) {
    const credentials = this.getCredentials('sms77Api');
    if (credentials === undefined) {
        throw new Error('No credentials got returned!');
    }
    if ('GET' === method) {
        qs = setPayload(credentials, qs);
    }
    else {
        form = setPayload(credentials, form);
    }
    const response = await this.helpers.request({
        form,
        json: true,
        method,
        qs,
        uri: `https://gateway.sms77.io/api/${endpoint}`,
    });
    if ('100' !== response.success) {
        throw new Error('Invalid sms77 credentials or API error!');
    }
    return response;
}
exports.sms77ApiRequest = sms77ApiRequest;
function setPayload(credentials, o) {
    if (!o) {
        o = {};
    }
    o.p = credentials.apiKey;
    o.json = 1;
    o.sendwith = 'n8n';
    return o;
}
//# sourceMappingURL=GenericFunctions.js.map