"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.todoistApiRequest = void 0;
async function todoistApiRequest(method, resource, body = {}, qs = {}) {
    const authentication = this.getNodeParameter('authentication', 0, 'apiKey');
    const endpoint = 'api.todoist.com/rest/v1';
    const options = {
        headers: {},
        method,
        qs,
        uri: `https://${endpoint}${resource}`,
        json: true,
    };
    if (Object.keys(body).length !== 0) {
        options.body = body;
    }
    try {
        if (authentication === 'apiKey') {
            const credentials = this.getCredentials('todoistApi');
            options.headers['Authorization'] = `Bearer ${credentials.apiKey}`;
            return this.helpers.request(options);
        }
        else {
            return await this.helpers.requestOAuth2.call(this, 'todoistOAuth2Api', options);
        }
    }
    catch (error) {
        const errorMessage = error.response.body;
        if (errorMessage !== undefined) {
            throw new Error(errorMessage);
        }
        throw errorMessage;
    }
}
exports.todoistApiRequest = todoistApiRequest;
//# sourceMappingURL=GenericFunctions.js.map