"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apiRequest = void 0;
async function apiRequest(method, endpoint, body, query) {
    const credentials = this.getCredentials('trelloApi');
    if (credentials === undefined) {
        throw new Error('No credentials got returned!');
    }
    query = query || {};
    query.key = credentials.apiKey;
    query.token = credentials.apiToken;
    const options = {
        headers: {},
        method,
        body,
        qs: query,
        uri: `https://api.trello.com/1/${endpoint}`,
        json: true,
    };
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        if (error.statusCode === 401) {
            throw new Error('The Trello credentials are not valid!');
        }
        throw error;
    }
}
exports.apiRequest = apiRequest;
//# sourceMappingURL=GenericFunctions.js.map