"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.listFields = exports.listOperations = void 0;
exports.listOperations = [
    {
        displayName: 'Operation',
        name: 'operation',
        type: 'options',
        displayOptions: {
            show: {
                resource: [
                    'list',
                ],
            },
        },
        options: [
            {
                name: 'Archive',
                value: 'archive',
                description: 'Archive/Unarchive a list',
            },
            {
                name: 'Create',
                value: 'create',
                description: 'Create a new list',
            },
            {
                name: 'Get',
                value: 'get',
                description: 'Get the data of a list',
            },
            {
                name: 'Update',
                value: 'update',
                description: 'Update a list',
            },
        ],
        default: 'create',
        description: 'The operation to perform.',
    },
];
exports.listFields = [
    {
        displayName: 'List ID',
        name: 'id',
        type: 'string',
        default: '',
        required: true,
        displayOptions: {
            show: {
                operation: [
                    'archive',
                ],
                resource: [
                    'list',
                ],
            },
        },
        description: 'The ID of the list to archive or unarchive.',
    },
    {
        displayName: 'Archive',
        name: 'archive',
        type: 'boolean',
        default: false,
        displayOptions: {
            show: {
                operation: [
                    'archive',
                ],
                resource: [
                    'list',
                ],
            },
        },
        description: 'If the list should be archived or unarchived.',
    },
    {
        displayName: 'Board ID',
        name: 'idBoard',
        type: 'string',
        default: '',
        required: true,
        displayOptions: {
            show: {
                operation: [
                    'create',
                ],
                resource: [
                    'list',
                ],
            },
        },
        description: 'The ID of the board the list should be created in',
    },
    {
        displayName: 'Name',
        name: 'name',
        type: 'string',
        default: '',
        placeholder: 'My list',
        required: true,
        displayOptions: {
            show: {
                operation: [
                    'create',
                ],
                resource: [
                    'list',
                ],
            },
        },
        description: 'The name of the list',
    },
    {
        displayName: 'Additional Fields',
        name: 'additionalFields',
        type: 'collection',
        placeholder: 'Add Field',
        displayOptions: {
            show: {
                operation: [
                    'create',
                ],
                resource: [
                    'list',
                ],
            },
        },
        default: {},
        options: [
            {
                displayName: 'List Source',
                name: 'idListSource',
                type: 'string',
                default: '',
                description: 'ID of the list to copy into the new list.',
            },
            {
                displayName: 'Position',
                name: 'pos',
                type: 'string',
                default: 'bottom',
                description: 'The position of the new list. top, bottom, or a positive float.',
            },
        ],
    },
    {
        displayName: 'List ID',
        name: 'id',
        type: 'string',
        default: '',
        required: true,
        displayOptions: {
            show: {
                operation: [
                    'get',
                ],
                resource: [
                    'list',
                ],
            },
        },
        description: 'The ID of the list to get.',
    },
    {
        displayName: 'Additional Fields',
        name: 'additionalFields',
        type: 'collection',
        placeholder: 'Add Field',
        displayOptions: {
            show: {
                operation: [
                    'get',
                ],
                resource: [
                    'list',
                ],
            },
        },
        default: {},
        options: [
            {
                displayName: 'Fields',
                name: 'fields',
                type: 'string',
                default: 'all',
                description: 'Fields to return. Either "all" or a comma-separated list of fields.',
            },
        ],
    },
    {
        displayName: 'List ID',
        name: 'id',
        type: 'string',
        default: '',
        required: true,
        displayOptions: {
            show: {
                operation: [
                    'update',
                ],
                resource: [
                    'list',
                ],
            },
        },
        description: 'The ID of the list to update.',
    },
    {
        displayName: 'Update Fields',
        name: 'updateFields',
        type: 'collection',
        placeholder: 'Add Field',
        displayOptions: {
            show: {
                operation: [
                    'update',
                ],
                resource: [
                    'list',
                ],
            },
        },
        default: {},
        options: [
            {
                displayName: 'Board ID',
                name: 'idBoard',
                type: 'string',
                default: '',
                description: 'ID of a board the list should be moved to.',
            },
            {
                displayName: 'Closed',
                name: 'closed',
                type: 'boolean',
                default: false,
                description: 'Whether the list is closed.',
            },
            {
                displayName: 'Name',
                name: 'name',
                type: 'string',
                default: '',
                description: 'New name of the list',
            },
            {
                displayName: 'Position',
                name: 'pos',
                type: 'string',
                default: 'bottom',
                description: 'The position of the list. top, bottom, or a positive float.',
            },
            {
                displayName: 'Subscribed',
                name: 'subscribed',
                type: 'boolean',
                default: false,
                description: 'Whether the acting user is subscribed to the list.',
            },
        ],
    },
];
//# sourceMappingURL=ListDescription.js.map